PATCH: Improve unsupported error message

H.J. Lu hjl.tools@gmail.com
Fri May 4 19:18:00 GMT 2012


On Fri, May 4, 2012 at 11:56 AM, Mike Frysinger <vapier@gentoo.org> wrote:
> On Friday 04 May 2012 13:58:24 H.J. Lu wrote:
>> I checked in this patch to change error message from
>>
>> foo.s:1: Error: unsupported for `bar'
>>
>> to
>>
>> foo.s:1: Error: unsupported `bar'
>>
>> when bar is an unsupported instruction.
>
> perhaps also say "instruction" ?
> -mike

I checked in this.

Thanks.

-- 
H.J.
--
diff --git a/gas/config/tc-i386.c b/gas/config/tc-i386.c
index 62085a0..dc993f6 100644
--- a/gas/config/tc-i386.c
+++ b/gas/config/tc-i386.c
@@ -4353,7 +4353,7 @@ check_reverse:
 	  err_msg = _("unsupported syntax");
 	  break;
 	case unsupported:
-	  as_bad (_("unsupported `%s'"),
+	  as_bad (_("unsupported instruction `%s'"),
 		  current_templates->start->name);
 	  return NULL;
 	case invalid_vsib_address:



More information about the Binutils mailing list